#!/bin/sh
#
# source: http://ftp.gnome.org/pub/gnome/sources/libIDL/0.8/libIDL-0.8.14.tar.bz2
#
# maintainer: (package seek maintainer)
#

CWD=`pwd`
VERSION=0.8.14
ARCH=i486
BUILD=66.1
TMP=/tmp
PKG=/tmp/package-libIDL

SLKCFLAGS="-O2 -march=i486 -mtune=i686"

rm -rf $PKG
mkdir -p $PKG
cd /tmp
rm -rf libIDL-$VERSION
tar xjvf $CWD/libIDL-$VERSION.tar.bz2
cd libIDL-$VERSION
chown -R root:root .
find . \
 \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
 -exec chmod 755 {} \; -o \
 \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
 -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
./configure \
  --prefix=/usr \
  --enable-static=no \
  --sysconfdir=/etc \
  --infodir=/usr/info \
  --localstatedir=/var/lib

make
make install DESTDIR=$PKG

find $PKG | xargs file | grep -e "shared object" -e "executable" | grep ELF \
  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null

rm -f $PKG/usr/info/dir
gzip -9 $PKG/usr/info/*

mkdir -p $PKG/usr/doc/libIDL-$VERSION
cp -a \
  AUTHORS BUGS ChangeLog COPYING HACKING INSTALL MAINTAINERS NEWS README \
  $PKG/usr/doc/libIDL-$VERSION

mkdir -p $PKG/usr/src/libIDL-$VERSION/
cp $CWD/build-libIDL.sh $PKG/usr/src/libIDL-$VERSION/

mkdir -p $PKG/install
cat <<"EOF" > $PKG/install/slack-desc
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.  Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in.  You must
# make exactly 11 lines for the formatting to be correct.  It's also
# customary to leave one space after the ':'.

      |-----handy-ruler------------------------------------------------------|
libIDL: libIDL (CORBA IDL)
libIDL:
libIDL: libIDL is a library licensed under the GNU LGPL for creating trees of
libIDL: CORBA Interface Definition Language (IDL) files, which is a
libIDL: specification for defining portable interfaces.  libIDL was initially
libIDL: written for ORBit (the ORB from the GNOME project, and the primary
libIDL: means of libIDL distribution).
libIDL:
libIDL:
libIDL:
libIDL:
EOF

cd $PKG
makepkg -l y -c n ../libIDL-$VERSION-$ARCH-$BUILD.txz
cd ..
md5sum libIDL-$VERSION-$ARCH-$BUILD.txz > libIDL-$VERSION-$ARCH-$BUILD.md5
